<?php
/*
Plugin Name: Guest Posts
Plugin URI: http://en.ibabar.com
Description: Give an opportunity to your unregistered readers to post on your Blog.
Version: 1.0.1
Author: Babar
Author URI: http://www.iBabar.com
Requires at least: 3.0
Tested Up to: 3.5
Stable Tag: 1.0.1
License: GPL v2
*/



function guestposts_shortcode( $atts ) {
    extract ( shortcode_atts (array(
        'cat' => '1',
        'author' => '1',
        'thanks' => get_bloginfo('home'),
    ), $atts ) );

    return '<form class="guests-post" action="wp-content/plugins/guest-posts/guest-posts-submit.php" method="post">
        <strong>Post Title:</strong><br>
            <input type="text" name="title" size="60" required="required" placeholder="Post title here"><br>
        <strong>Story</strong><br>
        '. wp_nonce_field() .'
            <textarea rows="15" cols="72" required="required" name="story" placeholder="Start writing your post here"></textarea><br>
        <strong>Tags</strong><br>
            <input type="text" name="tags" size="60" placeholder="Comma Separated Tags"><br><br>
        <strong>Your Name</strong><br>
            <input type="text" name="author" size="60" required="required" placeholder="Your name here"><br>
        <strong>Your Email</strong><br>
            <input type="email" name="email" size="60" required="required" placeholder="Your Email Here"><br>
        <strong>Your Website</strong><br>
            <input type="text" name="site" size="60" placeholder="Your Website Here"><br><br><br>
        <input type="hidden" value="'. $cat .'" name="category"><input type="hidden" value="'. $author .'" name="authorid">
        <input type="hidden" value="'. $thanks .'" name="thanks">
        <input type="hidden" value="'. str_replace('/wp-content/themes', '', get_theme_root()) .'/wp-blog-header.php" name="rootpath">
        <input type="submit" value="Submit The Post"> <input type="reset" value="Reset"><br>
        </form>
        ';
    }
add_shortcode( 'guest-posts', 'guestposts_shortcode' );

?>
